#!/bin/bash -x
#PBS -A etlcm
#PBS -M jan.kazil@noaa.gov
#PBS -l walltime=00:30:00
#PBS -d .
#PBS -l procs=24
#PBS -q debug

# Stack size

ulimit -s unlimited

if [[ x${PBS_JOBID}x != xx ]] ; then
  export OMP_STACKSIZE=512M
fi

# Load modules

if [[ x${PBS_JOBID}x != xx ]] ; then
  . ./modules.sh
fi

# Change directory to the working directory of the job.
# Use the if clause so that this script stays portable.

if [[ x${PBS_O_WORKDIR}x != xx ]] ; then
  cd ${PBS_O_WORKDIR}
fi

./memory_leak_demo_1
